:host {
    box-sizing: border-box;
}

.progress-container {
    width: 100%;
    height: 8px;
    // border: double 3px transparent;
    border-radius: 12.5px;
    background-image: linear-gradient(#13151F, #13151F),
    linear-gradient(to top, white, #323F54);
    // background-origin: border-box;
    // background-clip: content-box, border-box;
    display: flex;
    align-items: center;
}

.wrapper-container {
    width: 100%;
    // height: 31px;
    // border: double 3px transparent;
    // border-radius: 15.5px;
    // background-image: linear-gradient(#13151F, #13151F),
    // linear-gradient(to bottom, white, #323F54);
    // background-origin: border-box;
    // background-clip: content-box, border-box;
}

.bar {
    width: 0%;
    height: 8px;
    border-radius: 7.5px;
    // background-image: linear-gradient(to right, transparent 33%, rgba(255, 255, 255, 0.3) 50%, transparent 66%);
    // background-size: 300% 100%;
    background-color: dodgerblue;
    overflow: hidden;
    text-align: center;
    border-radius: inherit;
}

.bar.active {
    position: relative;
    animation: progress-bar-shine 2.6s infinite;
    transition: width 0.6s ease;
}

.bar.active::before {
    content: "";
    position: absolute;
    top: 0;
    left: 0;
    right: 0;
    bottom: 0;
    border-radius: inherit;
    background: linear-gradient(to right, transparent, rgba(255, 255, 255, 0.7));
    transform: translateX(-100%);
    animation: progress-bar-shine 2s infinite;
    opacity: 0.2;
}

@keyframes progress-bar-shine {
    to {
        transform: translateX(0);
     }
}

